Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete a product

Permanently deletes a product by ID and removes all associated data including variants, prices, stock, categories, collections, tags, images, videos, files, attributes, translations, redirects, and third-party links. This action cannot be undone.

DELETE/api/v1/{team_slug}/{app_slug}/products/{product_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
product_idstringrequired

Product ID

team_slugstringrequired
app_slugstringrequired
Responses
200

Product deleted

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/products/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}